Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory
Class DIDLParser.DescMetaHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.teleal.common.xml.SAXParser.Handler<DescMeta>
              org.teleal.cling.support.contentdirectory.DIDLParser.DescMetaHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  DIDLParser

    public class DIDLParser.DescMetaHandler

extends org.teleal.common.xml.SAXParser.Handler<DescMeta>

Extracts an `org.w3c.Document` from the nested elements in the `<desc>` element.

The root element of this document is a wrapper in the namespace `DIDLContent.DESC_WRAPPER_NAMESPACE_URI`.

Field Summary
`protected Element` | `current`

Fields inherited from class org.teleal.common.xml.SAXParser.Handler
`attributes, characters, instance, parent, parser`

Constructor Summary
`DIDLParser.DescMetaHandler(DescMeta instance, org.teleal.common.xml.SAXParser.Handler parent)`

Method Summary
`void` | `endElement(String uri, String localName, String qName)`
`DescMeta<Document>` | `getInstance()`
`protected boolean` | `isLastElement(String uri, String localName, String qName)`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Methods inherited from class org.teleal.common.xml.SAXParser.Handler
`characters, getAttributes, getCharacters, getParent, getParser, switchToParent`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### current

    protected Element current

Constructor Detail

### DIDLParser.DescMetaHandler

    public DIDLParser.DescMetaHandler(DescMeta instance,
                                      org.teleal.common.xml.SAXParser.Handler parent)

Method Detail

### getInstance

    public DescMeta<Document> getInstance()

  Overrides:
    `getInstance` in class `org.teleal.common.xml.SAXParser.Handler<DescMeta>`

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `org.teleal.common.xml.SAXParser.Handler<DescMeta>`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `org.teleal.common.xml.SAXParser.Handler<DescMeta>`
  Throws:
    `SAXException`

### isLastElement

    protected boolean isLastElement(String uri,
                                    String localName,
                                    String qName)

  Overrides:
    `isLastElement` in class `org.teleal.common.xml.SAXParser.Handler<DescMeta>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.